

/********************************************************
 * Numerical Commands
 *
 ********************************************************/

// Numerical Commands
#define CMD_DisplayDecimal8  		    0x0100	  // * Display 1 Byte Decimal
#define CMD_DisplayDecimal16 		    0x0101    // * Display 2 Byte Decimal
#define CMD_DisplayDecimal32     	    0x0102    // * Display 4 Byte Decimal

#define CMD_DisplayDecimalSigned8  	    0x0110	  // * Display 1 Byte Decimal
#define CMD_DisplayDecimalSigned16 	    0x0111    // * Display 2 Byte Decimal
#define CMD_DisplayDecimalSigned32      0x0112    // * Display 4 Byte Decimal

#define CMD_DisplayHex8				    0x0120	  // * Display 1 Byte Hexadecimal
#define CMD_DisplayHex16 			    0x0121    // * Display 2 Byte Hexadecimal
#define CMD_DisplayHex32   			    0x0122    // * Display 4 Byte Hexadecimal
#define CMD_DisplayHex64		  	    0x0123    // * Display 8 Byte Hexadecimal

#define CMD_DisplayBinary8			    0x0130    // * Display 1 Byte Binary
#define CMD_DisplayBinary16			    0x0131    // * Display 2 Byte Binary

#define CMD_NumericalConfig             0x0140    // * Numerical Config

#define NCONF_NoPlus     (1<<0)  // Bit Mask display no plus (DisplayDecimalSigned)
#define NCONF_NoZero     (1<<1)  // Bit Mask display no leading zero (DisplayDecimal, DisplayDecimalSigned)
#define NCONF_LeftAdjust (1<<2)  // Bit Mask display left adjust (DisplayDecimal, DisplayDecimalSigned)


// Prototypes

void DisplayDecimal8(uint16_t x, uint16_t y, uint8_t value);
void DisplayDecimal16(uint16_t x, uint16_t y, uint16_t value);
void DisplayDecimal32(uint16_t x, uint16_t y, uint32_t value);
void DisplayDecimalSigned8(uint16_t x, uint16_t y, uint8_t value);
void DisplayDecimalSigned16(uint16_t x, uint16_t y, uint16_t value);
void DisplayDecimalSigned32(uint16_t x, uint16_t y, uint32_t value);
void DisplayHex8(uint16_t x, uint16_t y, uint8_t value);
void DisplayHex16(uint16_t x, uint16_t y, uint16_t value);
void DisplayHex32(uint16_t x, uint16_t y, uint32_t value);
void DisplayHex64(uint16_t x, uint16_t y, uint64_t value);
void DisplayBinary8(uint16_t x, uint16_t y, uint8_t value);
void DisplayBinary16(uint16_t x, uint16_t y, uint16_t value);

void NumericalConfig(uint8_t config);























