






/*********************************************************************************
 *  SPI Interface
 *********************************************************************************
 *  Microcontroller: AVR ATmega128
 *
 *  SCK   : PB1  (OUTPUT)
 *  MOSI  : PB2  (OUTPUT)
 *  MISO  : PB3  (INPUT)
 *  CS_   : PB0  (OUTPUT)
 *
 *  BUSY_ : PB4 (INPUT, Pullup Resistor activated)
 *  TINT_ : PB5 (INPUT, Pullup Resistor activated)
 *
 *********************************************************************************/

#define SPI_SS_HIGH          _delay_us(1);PORTB |= (1<<PB0);
// Note: Deassert SS_ (CS_) not until the SPI-Transfer is really finished
//       otherwise it is possible the display module does not receive the last data byte
//       completely. We use an small delay of 1us to take account of this.

#define SPI_SS_LOW           PORTB &= ~(1<<PB0);

#define DISPLAY_BUSY         !(PINB & (1<<PB4))
#define DISPLAY_NOTBUSY      PINB & (1<<PB4)

#define TOUCHPANEL_EVENT     !(PINB & (1<<PB5))





void SPI_Init (void);
unsigned char SPI_RW (unsigned char output);

uint8_t WaitWhileDisplayBusy_Timeout500ms(void);
uint8_t WaitWhileDisplayBusy(void);
uint8_t WaitUntilDisplayBusy(void);
uint8_t WaitWhileTouch(void);
uint8_t SendCommand(uint16_t command);
